Skip to content
Start here

Create a dataset (deprecated)

ai_gateway.datasets.create(strgateway_id, DatasetCreateParams**kwargs) -> DatasetCreateResponse
POST/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/datasets

Creates a dataset that selects gateway logs matching the specified filters for use in evaluations. Evaluations and datasets are deprecated and unavailable to new accounts.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway Write
ParametersExpand Collapse
account_id: str
gateway_id: str

Unique identifier of the AI Gateway within the account.

maxLength64
minLength1
enable: bool
filters: Iterable[Filter]
key: Literal["created_at", "request_content_type", "response_content_type", 10 more]
One of the following:
"created_at"
"request_content_type"
"response_content_type"
"success"
"cached"
"provider"
"model"
"cost"
"tokens"
"tokens_in"
"tokens_out"
"duration"
"feedback"
operator: Literal["eq", "contains", "lt", "gt"]
One of the following:
"eq"
"contains"
"lt"
"gt"
value: Sequence[Union[str, float, bool]]
One of the following:
str
float
bool
name: str
ReturnsExpand Collapse
class DatasetCreateResponse: …
id: str
created_at: datetime
formatdate-time
enable: bool
filters: List[Filter]
key: Literal["created_at", "request_content_type", "response_content_type", 10 more]
One of the following:
"created_at"
"request_content_type"
"response_content_type"
"success"
"cached"
"provider"
"model"
"cost"
"tokens"
"tokens_in"
"tokens_out"
"duration"
"feedback"
operator: Literal["eq", "contains", "lt", "gt"]
One of the following:
"eq"
"contains"
"lt"
"gt"
value: List[Union[str, float, bool]]
One of the following:
str
float
bool
gateway_id: str

Unique identifier of the AI Gateway within the account.

maxLength64
minLength1
modified_at: datetime
formatdate-time
name: str

Create a dataset (deprecated)

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
dataset = client.ai_gateway.datasets.create(
    gateway_id="my-gateway",
    account_id="3ebbcb006d4d46d7bb6a8c7f14676cb0",
    enable=True,
    filters=[{
        "key": "created_at",
        "operator": "eq",
        "value": ["string"],
    }],
    name="name",
)
print(dataset.id)
{
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "enable": true,
    "filters": [
      {
        "key": "created_at",
        "operator": "eq",
        "value": [
          "string"
        ]
      }
    ],
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "enable": true,
    "filters": [
      {
        "key": "created_at",
        "operator": "eq",
        "value": [
          "string"
        ]
      }
    ],
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name"
  },
  "success": true
}